package ro.dandroid.ex2tasklist;

import java.util.ArrayList;
import java.util.List;


import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.Button;
import android.widget.TextView;

public class MyAdapter extends BaseAdapter
{
	private ArrayList<Task> tasks = new ArrayList<Task>();
	private Context context;
	
	public MyAdapter(Context context)
	{
		this.context = context;
	}
	
	public void addTasks(List<Task> tasks)
	{
		for(int i = 0 ;i<tasks.size();i++)
		{
			this.tasks.add( tasks.get(i));
		}
		
		notifyDataSetChanged();
	}
	
	public void removeTask(int index)
	{
		tasks.remove(index);
		notifyDataSetChanged();
	}
	
	public void addTask(Task task)
	{
		tasks.add(task);
		notifyDataSetChanged();
	}
	
	public Task getTask(int index)
	{
		return tasks.get(index);
	}
	
	@Override
	public int getCount() 
	{
		return tasks.size();
	}

	@Override
	public Object getItem(int position) 
	{
		return null;
	}

	@Override
	public long getItemId(int position) 
	{
		return 0;
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) 
	{
		Task task = tasks.get(position);
		
		View v = convertView;
		if( v == null )
		{
			LayoutInflater inflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
			v = inflater.inflate(R.layout.row_list, null);
		}
		
		TextView nameTextView = (TextView) v.findViewById(R.id.TASK_ROW_LIST_TASK_NAME_TEXTVIEW);
		TextView deadlineTextView = (TextView) v.findViewById(R.id.TASK_ROW_LIST_TASK_DEADLINE_TEXTVIEW);
		
		nameTextView.setText( nameTextView.getText().toString() + task.getName() );
		deadlineTextView.setText( deadlineTextView.getText().toString() + task.getDeadline() );

		return v;
	}

}
