package ro.dandroid.ex2tasklist;

import java.util.ArrayList;
import java.util.Random;



import android.os.Bundle;
import android.app.Activity;
import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.View.OnLongClickListener;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.AdapterView.OnItemLongClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.Toast;

public class TaskListActivity extends Activity implements OnClickListener, OnItemClickListener, OnItemLongClickListener
{
	private Button addTaskButton;
	private ListView listView;
	private MyAdapter adapter;
	private Context context;
	
    @Override
    public void onCreate(Bundle savedInstanceState) 
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_task_list);
        
        //se salveaza contextul intr-o variabila globala
        this.context = this;
        
        
        addTaskButton = (Button) findViewById(R.id.TASK_LIST_ADD_TASK_BUTTON);
        addTaskButton.setOnClickListener(this);
        
        listView = (ListView) findViewById(R.id.TASK_TASKS_LIST);
        adapter = new MyAdapter(this);
        listView.setAdapter(adapter);
     
        
        listView.setOnItemClickListener(this);
        listView.setOnItemLongClickListener(this);
    }

	@Override
	public void onClick(View v) 
	{
		// metoda apelata cand se apasa butonul de adaugare al unui task
		// apare un AlertDialog pentru a oferi posibilitatea userului de a scrie numele
		// si deadline-ul taskului
		
		// se incarca view-ul alertdialogului dintr-un xml dialog.xml aflat in folderul res/layout
		LayoutInflater inflater = getLayoutInflater();
		View view = inflater.inflate(R.layout.dialog, null);
		
		AlertDialog.Builder builder = new AlertDialog.Builder(this);
		builder.setView(view);
		final AlertDialog dialog = builder.create();
		dialog.show();
		
		final EditText nameTask = (EditText) view.findViewById(R.id.dialog_name);
	    final EditText deadlineTask = (EditText) view.findViewById(R.id.dialog_deadline);
	    
	    //butonul de salvarea a taskului
	    Button okButton = (Button) view.findViewById(R.id.dialog_ok);
	    okButton.setOnClickListener(new OnClickListener() 
	    {  	
	    	
	    	//aceasta metoda se apeleaza atunci cand butonul ok este apasat
			@Override
			public void onClick(View v) 
			{
				// TODO userul a introdus numele si deadline-ul taskului si a apasat butonul OK
				// trebuie sa introduceti taskul in baza de date
			}
	    });
	}

	//metoda apelata atunci cand se apasa pe un element din lista
	@Override
	public void onItemClick(AdapterView<?> arg0, View arg1, int arg2, long arg3) 
	{
		// TODO se doreste editarea unui task
		// porniti EditTaskActivity
		
		
	}

	// metoda apelata atunci cand se apasa lung pe un element din lista
	// se doreste stergerea lui
	@Override
	public boolean onItemLongClick(AdapterView<?> arg0, View arg1, int arg2,
			long arg3) 
	{
		final int index = arg2;
		
		//apare o fereastra de confirmare a stergerii
		AlertDialog alertDialog = new AlertDialog.Builder(this).create();
		alertDialog.setTitle("Reset...");
		alertDialog.setMessage("Are you sure you want to delete?");
		alertDialog.setButton(AlertDialog.BUTTON_POSITIVE, "Yes",new DialogInterface.OnClickListener() 
		{
			// aceasta metoda se apeleaza atunci cand utilizatorul apasa pe YES
			@Override
			public void onClick(DialogInterface dialog, int which) 
			{
				//TODO taskul trebuie sters din baza de date
			}
		});
		alertDialog.setButton(AlertDialog.BUTTON_NEGATIVE, "No", new DialogInterface.OnClickListener() 
		{
			
			//aceasta metoda se apeleaza atunci cand utilizatorul apasa pe NO
			@Override
			public void onClick(DialogInterface dialog, int which) 
			{
				//TODO se da cancel la alertDialog	
			}
		});
		alertDialog.show();
		return false;
	}

	
	

    
}
